import { configService } from './lib/config'
import type { TokenResponse } from './lib/types'

export { default as HelpCenter } from './ui/HelpCenter.vue'

export type HelpCenterConfig = {
  baseUrl?: string
  getToken?: () => Promise<TokenResponse>
}

export function initializeHelpCenter(config: HelpCenterConfig) {
  configService.initialize(config)
}
